Create a publishable API key

Creates a publishable API key for the current account in live or test mode.

Use a publishable API key in client-side Checkout integrations. Unlike a secret API key, a publishable API key can be included in a frontend application and cannot be used for authenticated server-side API operations.

You can also create and manage API keys in the Merchant Dashboard.

Body·
required
application/json

Parameters for creating a publishable API key.

  • livemode
    Type: boolean
    required

    Creates the key in live mode when true, or test mode when false.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v2/credentials/publishable_keys
curl https://api.paypercut.io/v2/credentials/publishable_keys \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "livemode": false
}'
{
  "id": "ak_123",
  "created": "2026-07-22T07:07:22.854Z",
  "name": "Production backend",
  "type": "secret",
  "status": "active",
  "livemode": true,
  "permissions": [
    "checkout_sessions:*",
    "payment_methods:*"
  ],
  "role": null,
  "secret": null,
  "secret_redacted": "sk_live_...cdef",
  "expires_at": null,
  "parent_key": null,
  "replaced_by_key": null,
  "last_used_at": null,
  "revealable": null,
  "hide_on_next_view": null,
  "use_count": null
}